"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

require("./App.css");

var _AuthScreen = _interopRequireDefault(require("./components/AuthScreen/AuthScreen"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Development code
function App() {
  const navigate = (0, _reactRouterDom.useNavigate)();
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Routes, null, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: false,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/login",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: false,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/forgot-password",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: false,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/reset-password/:staffId/:resetPasswordId",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: false,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/signup/:invitationId",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: true,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/signup/createOrg",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: false,
      navigate: navigate
    })
  }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
    path: "/signup",
    element: /*#__PURE__*/_react.default.createElement(_AuthScreen.default, {
      signup: true,
      navigate: navigate
    })
  })));
} // signup/createOrg


var _default = App;
exports.default = _default;