"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _socialmediasignup = _interopRequireDefault(require("./socialmediasignup.css"));

require("antd/dist/antd.css");

var _antd2 = require("antd");

var _icons = require("@ant-design/icons");

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _freeSolidSvgIcons = require("@fortawesome/free-solid-svg-icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Socialmediasignup = props => {
  const {
    textColor,
    textSize,
    label,
    googleIconColor,
    phoneIconColor,
    whatsappIconColor,
    iconBackground
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _socialmediasignup.default.Socialmediasignup
  }, /*#__PURE__*/_react.default.createElement(_antd2.Divider, {
    className: "divider"
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "social-center"
  }, /*#__PURE__*/_react.default.createElement(_antd2.Row, {
    className: "socialsign-flex"
  }, /*#__PURE__*/_react.default.createElement(_antd2.Col, {
    className: "socialsignup-header",
    span: 9
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: textSize,
    style: {
      color: textColor
    }
  }, label)), /*#__PURE__*/_react.default.createElement(_antd2.Col, {
    span: 15
  }, /*#__PURE__*/_react.default.createElement(_antd2.Row, {
    className: "icon-section",
    gutter: [24, 16]
  }, /*#__PURE__*/_react.default.createElement(_antd2.Col, {
    span: 8
  }, /*#__PURE__*/_react.default.createElement(_antd2.Button, {
    shape: "circle",
    size: "large",
    href: "#",
    icon: /*#__PURE__*/_react.default.createElement(_icons.GoogleOutlined, null),
    style: {
      color: googleIconColor,
      background: iconBackground
    }
  })), /*#__PURE__*/_react.default.createElement(_antd2.Col, {
    span: 8
  }, /*#__PURE__*/_react.default.createElement(_antd2.Button, {
    shape: "circle",
    size: "large",
    href: "#",
    style: {
      color: phoneIconColor,
      background: iconBackground
    }
  }, /*#__PURE__*/_react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
    icon: _freeSolidSvgIcons.faPhone
  }))), /*#__PURE__*/_react.default.createElement(_antd2.Col, {
    span: 8
  }, /*#__PURE__*/_react.default.createElement(_antd2.Button, {
    shape: "circle",
    size: "large",
    href: "#",
    icon: /*#__PURE__*/_react.default.createElement(_icons.WhatsAppOutlined, null),
    style: {
      color: whatsappIconColor,
      background: iconBackground
    }
  })))))));
};

Socialmediasignup.propTypes = {
  textColor: _propTypes.default.string,
  textSize: _propTypes.default.string,
  googleIconColor: _propTypes.default.string,
  phoneIconColor: _propTypes.default.string,
  whatsappIconColor: _propTypes.default.string,
  iconBackground: _propTypes.default.string,
  label: _propTypes.default.string
};
Socialmediasignup.defaultProps = {
  textColor: "#000",
  textSize: "small",
  googleIconColor: "red",
  phoneIconColor: "#1890FF",
  whatsappIconColor: "green",
  iconBackground: "#FAFAFA",
  label: "Sign up with"
};
var _default = Socialmediasignup;
exports.default = _default;