"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Template = void 0;

var _Socialmediasignup = _interopRequireDefault(require("./Socialmediasignup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable */
var _default = {
  title: "Signup/socialmedia",
  component: "Socialmediasignup",
  argTypes: {
    textColor: {
      control: "color",
      description: "Change title background color",
      type: {
        summary: "string"
      }
    },
    googleIconColor: {
      control: "color",
      description: "Change google icon color",
      type: {
        summary: "string"
      }
    },
    phoneIconColor: {
      control: "color",
      description: "Change phone icon  color",
      type: {
        summary: "string"
      }
    },
    whatsappIconColor: {
      control: "color",
      description: "Change whatsapp icon color",
      type: {
        summary: "string"
      }
    },
    iconBackground: {
      control: "color",
      description: "Change all icon  background color",
      type: {
        summary: "string"
      }
    },
    textSize: {
      description: "Select text size",
      control: {
        type: "select",
        options: ["small", "medium", "large"]
      }
    },
    label: {
      description: "Editable content",
      type: {
        summary: "string"
      }
    }
  }
};
exports.default = _default;

const Template = args => /*#__PURE__*/React.createElement(_Socialmediasignup.default, args);

exports.Template = Template;
Template.args = {
  textColor: "#000",
  textSize: "small",
  googleIconColor: "red",
  phoneIconColor: "#1890FF",
  whatsappIconColor: "green",
  iconBackground: "#FAFAFA",
  label: "Sign up with"
};
Template.story = {
  name: "Socialmediasignup"
};